/* cron组件 */
import HtCron from './components/ht-cron/index.vue'
// /* 定制弹窗组件 */
import HtCustomDialog from './components/ht-custom-dialog/index.vue'
// /* 查询组件 */
import HtQuery from './components/ht-query/index.vue'
// /* 场景+筛选组件 */
import HtFilter from './components/ht-filter/index.vue'
import HtOutFilter from './components/ht-filter/out-filter/index.vue'
import HtSaveFilter from './components/ht-filter/save-filter/index.vue'
import HTScene from './components/ht-filter/drop-down/index.vue'
// /* 绘图编辑 */
import HtMapping from './components/ht-mapping/compile/index.vue'
// /* 绘图文字 */
import HtMappingModule from './components/ht-mapping/textIcon/index.vue'
// /* 动态列 */
import HtColumnPerate from './components/ht-column-perate/index.vue'
// /* 动态设置 */
import HtTableSettings from './components/ht-tableSettings/index.vue'
// /* 图标选择 */
import HtIconSelect from './components/ht-icon-select/index.vue'
// /* 拖拽排序 */
// import HtDraggable from './components/ht-draggable/index.vue'
// /* 拖拽 */
// import Draggable from 'vuedraggable'
// /* 详情区域 */
import HtDetailInformation from './components/ht-detailInformation/index.vue'
// /* Echarts */
import HtEcharts from './components/ht-echarts/index.vue'
// /* 添加水印 */
import HtWatermark from './components/ht-watermark/index.vue'
// /* 视图切换组件 */
import HTViewTab from './components/ht-viewtab/index.vue'
import HTViewTabButton from './components/ht-viewtab/view-tab/index.vue'
// /* 文件上传 */
import HtFilesUpload from './components/ht-files-upload/index.vue'
// /* 层叠轮播 */
import HtCascadeCarousel from './components/ht-cascade-carousel/index.vue'
/* 头部操作 */
import HtHeadOperation from './components/ht-head-operation/index.vue'
/* 按钮 */
import HtButton from './components/ht-head-operation/components/htButton.vue'
/* 左右布局div拖拽 */
import HtAllocationLeftRight from './components/ht-allocation/left/index.vue'
/* 上下布局div拖拽 */
import HtAllocationUpDown from './components/ht-allocation/upDown/index.vue'

const components: any = {
  HtCron,
  HtCustomDialog,
  HtQuery,
  HtFilter,
  HtOutFilter,
  HtSaveFilter,
  HTScene,
  HtMapping,
  HtMappingModule,
  HtColumnPerate,
  HtTableSettings,
  HtIconSelect,
  // HtDraggable,
  // Draggable,
  HtDetailInformation,
  HtEcharts,
  HtWatermark,
  HTViewTab,
  HTViewTabButton,
  HtFilesUpload,
  HtCascadeCarousel,
  HtHeadOperation,
  HtButton,
  HtAllocationLeftRight,
  HtAllocationUpDown
}
export function install(app: any) {
  for (const componentItem in components) {
    app.component(componentItem, components[componentItem])
  }
}
/* 这是为了按需加载 */
export {
  HtCron,
  HtCustomDialog,
  HtQuery,
  HtFilter,
  HtOutFilter,
  HtSaveFilter,
  HTScene,
  HtMapping,
  HtMappingModule,
  HtColumnPerate,
  HtTableSettings,
  HtIconSelect,
  // HtDraggable,
  // Draggable,
  HtDetailInformation,
  HtEcharts,
  HtWatermark,
  HTViewTab,
  HTViewTabButton,
  HtFilesUpload,
  HtCascadeCarousel,
  HtHeadOperation,
  HtButton,
  HtAllocationLeftRight,
  HtAllocationUpDown
}
export default {
  install
}
