type ValueType = {
    type: string | number,
    range: {
        start: number | string,
        end: number | string
    },
    loop: {
        start: number | string,
        end: number | string
    },
    last?: string,
    appoint: string[]
}
interface IIvalue<T = ValueType> {
    second: T,
    minute: T,
    hour: T,
    day: T,
    month: T,
    week: T,
    year: T
}

export type { IIvalue }  