export function drawLine(variable: any, go: any, myContextMenu: any) {
  variable.linkTemplate = go.GraphObject.make(
    go.Link,
    {
      //   routing: go.Link.AvoidsNodes,
      curve: go.Link.JumpOver,
      corner: 5,
      toShortLength: 4,
      relinkableFrom: true,
      relinkableTo: true,
      reshapable: true,
      resegmentable: true,
      contextMenu: myContextMenu,
      selectionAdorned: false,
      mouseEnter: function (e: any, link: any) {
        link.findObject('HIGHLIGHT').stroke = 'rgba(30,144,255,0.4)'
      },
      mouseLeave: function (e: any, link: any) {
        link.findObject('HIGHLIGHT').stroke = 'transparent'
      }
    },
    /* 线自动转角 */
    // new go.Binding("points").makeTwoWay(),
    /* 鼠标移动上去线处理 */
    go.GraphObject.make(go.Shape, {
      isPanelMain: true,
      strokeWidth: 8,
      stroke: 'transparent',
      name: 'HIGHLIGHT'
    }),
    /* 默认线的处理 */
    go.GraphObject.make(
      go.Shape,
      { isPanelMain: true, stroke: 'gray', strokeWidth: 2 },
      new go.Binding('stroke', 'isSelected', function (res: any) {
        return res ? 'dodgerblue' : 'gray'
      }).ofObject(),
      new go.Binding('strokeDashArray', 'isTest', function (res: any) {
        return res ? [4, 2] : null
      }).ofObject()
    ),
    /* 线的箭头绘制 */
    go.GraphObject.make(go.Shape, {
      toArrow: 'standard',
      strokeWidth: 0,
      fill: 'gray'
    })
  )
}
